> ## Documentation Index
> Fetch the complete documentation index at: https://docs.agentpowers.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List My Sales

> List recent sales for the current seller's skills.



## OpenAPI

````yaml /openapi.json get /v1/sellers/sales
openapi: 3.1.0
info:
  title: AgentPowers API
  description: Paid marketplace for Claude Code skills and agents
  version: 0.1.0
servers:
  - url: https://api.agentpowers.ai
    description: Production
security: []
paths:
  /v1/sellers/sales:
    get:
      tags:
        - sellers
      summary: List My Sales
      description: List recent sales for the current seller's skills.
      operationId: list_my_sales_v1_sellers_sales_get
      parameters:
        - name: limit
          in: query
          required: false
          schema:
            type: integer
            maximum: 100
            minimum: 1
            default: 20
            title: Limit
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SalesResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - BearerAuth: []
components:
  schemas:
    SalesResponse:
      properties:
        items:
          items:
            $ref: '#/components/schemas/SaleItem'
          type: array
          title: Items
        total:
          type: integer
          title: Total
      type: object
      required:
        - items
        - total
      title: SalesResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    SaleItem:
      properties:
        sale_id:
          type: string
          title: Sale Id
        skill_slug:
          type: string
          title: Skill Slug
        skill_name:
          type: string
          title: Skill Name
        buyer_display_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Buyer Display Name
        amount_cents:
          type: integer
          title: Amount Cents
        commission_cents:
          type: integer
          title: Commission Cents
        net_cents:
          type: integer
          title: Net Cents
        currency:
          type: string
          title: Currency
        sold_at:
          anyOf:
            - type: string
            - type: 'null'
          title: Sold At
        status:
          type: string
          title: Status
      type: object
      required:
        - sale_id
        - skill_slug
        - skill_name
        - amount_cents
        - commission_cents
        - net_cents
        - currency
        - status
      title: SaleItem
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      description: >-
        Provide a Clerk JWT or a long-lived CLI token (prefix `ap_cli_`).  Pass
        as `Authorization: Bearer <token>`.

````